package org.gcube.data_catalogue.grsf_publish_ws.utils.groups;

import org.gcube.data_catalogue.grsf_publish_ws.utils.HelperMethods;

/**
 * Abundance_Level for Stock records
 * @author Costantino Perciante at ISTI-CNR (costantino.perciante@isti.cnr.it)
 */
public enum Abundance_Level {

	Intermediate_Abundance("Intermediate abundance"),
	Low_Abundance("Low abundance"),
	Uncertain_Not_Assesed("Uncertain/Not assesed");

	private String subGroupNameOrig;
	private String subGroupNameOnCkan;

	private Abundance_Level(String origName) {
		this.subGroupNameOrig = origName;
		this.subGroupNameOnCkan = HelperMethods.getGroupNameOnCkan(origName);
	}

	/**
	 * Return the name the group has on ckan
	 * @return
	 */
	public String getNameCkan(){
		return subGroupNameOnCkan;
	}

	/**
	 * Return the original name
	 * @return
	 */
	public String getOrigName(){
		return subGroupNameOrig;
	}
}
