package org.gcube.data_catalogue.grsf_publish_ws.utils.groups;

import org.gcube.data_catalogue.grsf_publish_ws.utils.HelperMethods;

/**
 * Production_System_Type for Fishery records
 * @author Costantino Perciante at ISTI-CNR (costantino.perciante@isti.cnr.it)
 */
public enum Production_System_Type {
	
	Subsistence("Subsistence"),
	Recreational("Recreational"),
	Commercial("Commercial"), 
	Artisanal("Artisanal"),
	Semi_Industrial("Semi-industrial"),
	Industrial("Industrial"),
	Exploratory_fisher("Exploratory_fisher"), 
	Unspecified("Unspecified");

	private String subGroupNameOrig;
	private String subGroupNameOnCkan;

	private Production_System_Type(String origName) {
		this.subGroupNameOrig = origName;
		this.subGroupNameOnCkan = HelperMethods.getGroupNameOnCkan(origName);
	}

	/**
	 * Return the name the group has on ckan
	 * @return
	 */
	public String getNameCkan(){
		return subGroupNameOnCkan;
	}

	/**
	 * Return the original name
	 * @return
	 */
	public String getOrigName(){
		return subGroupNameOrig;
	}

}
