package org.gcube.data_catalogue.grsf_publish_ws.utils.groups;

import org.gcube.data_catalogue.grsf_publish_ws.utils.HelperMethods;

/**
 * Source Group and sub groups (for both Stock and Fishery) -> look at "Database Sources"
 * @author Costantino Perciante at ISTI-CNR (costantino.perciante@isti.cnr.it)
 */
public enum Source {

	FIRMS("FIRMS"),
	RAM("RAM"),
	FishSource("FishSource");
	
	private String subGroupNameOrig;
	private String subGroupNameOnCkan;
	
	private Source(String origName) {
		this.subGroupNameOrig = origName;
		this.subGroupNameOnCkan = HelperMethods.getGroupNameOnCkan(origName);
	}
	
	/**
	 * Return the name the group has on ckan
	 * @return
	 */
	public String getNameCkan(){
		return subGroupNameOnCkan;
	}
	
	/**
	 * Return the original name
	 * @return
	 */
	public String getOrigName(){
		return subGroupNameOrig;
	}
}
