package org.gcube.data_catalogue.grsf_publish_ws.json;

import org.gcube.data_catalogue.grsf_publish_ws.utils.groups.Abundance_Level;
import org.gcube.data_catalogue.grsf_publish_ws.utils.groups.Exploitation_Rate;

import com.fasterxml.jackson.annotation.JsonProperty;

/**
 * A stock record bean
 * @author Costantino Perciante at ISTI-CNR (costantino.perciante@isti.cnr.it)
 */
public class StockRecord extends Common{

	@JsonProperty("stock_name")
	private String stockName;

	@JsonProperty("stock_id")
	private String stockID;

	@JsonProperty("species_scientific_name")
	private String speciesScientificName;

	@JsonProperty("area")
	private String area;

	@JsonProperty("exploiting_fishery")
	private String exploitingFishery;

	@JsonProperty("management_entity")
	private String managementEntity;

	@JsonProperty("assessment_methods")
	private String assessmentMethods;

	@JsonProperty("state_of_marine_resource")
	private String stateOfMarineResource;

	@JsonProperty("exploitation_rate")
	private Exploitation_Rate exploitationRate;

	@JsonProperty("abundance_level")
	private Abundance_Level abundanceLevel;

	@JsonProperty("narrative_state_and_trend")
	private String narrativeStateAndTrend;

	@JsonProperty("scientific_advice")
	private String scientificAdvice;

	@JsonProperty("reporting_entity")
	private String reportingEntity;

	@JsonProperty("reporting_year")
	private long reportingYear;

	/**
	 * 
	 */
	public StockRecord() {
		super();
	}

	/**
	 * @param stockName
	 * @param stockID
	 * @param speciesScientificName
	 * @param area
	 * @param exploitingFishery
	 * @param managementEntity
	 * @param assessmentMethods
	 * @param stateOfMarineResource
	 * @param exploitationRate
	 * @param abundanceLevel
	 * @param narrativeStateAndTrend
	 * @param scientificAdvice
	 * @param reportingEntity
	 * @param reportingYear
	 */
	public StockRecord(String stockName, String stockID,
			String speciesScientificName, String area,
			String exploitingFishery, String managementEntity,
			String assessmentMethods, String stateOfMarineResource,
			Exploitation_Rate exploitationRate, Abundance_Level abundanceLevel,
			String narrativeStateAndTrend, String scientificAdvice,
			String reportingEntity, long reportingYear) {
		super();
		this.stockName = stockName;
		this.stockID = stockID;
		this.speciesScientificName = speciesScientificName;
		this.area = area;
		this.exploitingFishery = exploitingFishery;
		this.managementEntity = managementEntity;
		this.assessmentMethods = assessmentMethods;
		this.stateOfMarineResource = stateOfMarineResource;
		this.exploitationRate = exploitationRate;
		this.abundanceLevel = abundanceLevel;
		this.narrativeStateAndTrend = narrativeStateAndTrend;
		this.scientificAdvice = scientificAdvice;
		this.reportingEntity = reportingEntity;
		this.reportingYear = reportingYear;
	}

	public String getStockName() {
		return stockName;
	}

	public void setStockName(String stockName) {
		this.stockName = stockName;
	}

	public String getStockID() {
		return stockID;
	}

	public void setStockID(String stockID) {
		this.stockID = stockID;
	}

	public String getSpeciesScientificName() {
		return speciesScientificName;
	}

	public void setSpeciesScientificName(String speciesScientificName) {
		this.speciesScientificName = speciesScientificName;
	}

	public String getArea() {
		return area;
	}

	public void setArea(String area) {
		this.area = area;
	}

	public String getExploitingFishery() {
		return exploitingFishery;
	}

	public void setExploitingFishery(String exploitingFishery) {
		this.exploitingFishery = exploitingFishery;
	}

	public String getManagementEntity() {
		return managementEntity;
	}

	public void setManagementEntity(String managementEntity) {
		this.managementEntity = managementEntity;
	}

	public String getAssessmentMethods() {
		return assessmentMethods;
	}

	public void setAssessmentMethods(String assessmentMethods) {
		this.assessmentMethods = assessmentMethods;
	}

	public String getStateOfMarineResource() {
		return stateOfMarineResource;
	}

	public void setStateOfMarineResource(String stateOfMarineResource) {
		this.stateOfMarineResource = stateOfMarineResource;
	}

	public Exploitation_Rate getExploitationRate() {
		return exploitationRate;
	}

	public void setExploitationRate(Exploitation_Rate exploitationRate) {
		this.exploitationRate = exploitationRate;
	}

	public Abundance_Level getAbundanceLevel() {
		return abundanceLevel;
	}

	public void setAbundanceLevel(Abundance_Level abundanceLevel) {
		this.abundanceLevel = abundanceLevel;
	}

	public String getNarrativeStateAndTrend() {
		return narrativeStateAndTrend;
	}

	public void setNarrativeStateAndTrend(String narrativeStateAndTrend) {
		this.narrativeStateAndTrend = narrativeStateAndTrend;
	}

	public String getScientificAdvice() {
		return scientificAdvice;
	}

	public void setScientificAdvice(String scientificAdvice) {
		this.scientificAdvice = scientificAdvice;
	}

	public String getReportingEntity() {
		return reportingEntity;
	}

	public void setReportingEntity(String reportingEntity) {
		this.reportingEntity = reportingEntity;
	}

	public long getReportingYear() {
		return reportingYear;
	}

	public void setReportingYear(long reportingYear) {
		this.reportingYear = reportingYear;
	}

	@Override
	public String toString() {
		return "StockRecord [stockName=" + stockName + ", stockID=" + stockID
				+ ", speciesScientificName=" + speciesScientificName
				+ ", area=" + area + ", exploitingFishery=" + exploitingFishery
				+ ", managementEntity=" + managementEntity
				+ ", assessmentMethods=" + assessmentMethods
				+ ", stateOfMarineResource=" + stateOfMarineResource
				+ ", exploitationRate=" + exploitationRate
				+ ", abundanceLevel=" + abundanceLevel
				+ ", narrativeStateAndTrend=" + narrativeStateAndTrend
				+ ", scientificAdvice=" + scientificAdvice
				+ ", reportingEntity=" + reportingEntity + ", reportingYear="
				+ reportingYear + "]";
	}
}
